Base Modules
============

.. automodapi:: negmas.outcomes
      :members:
      :show-inheritance:
.. automodapi:: negmas.utilities
      :members:
      :show-inheritance:
.. automodapi:: negmas.negotiators
      :members:
      :show-inheritance:
.. automodapi:: negmas.mechanisms
      :members:
      :show-inheritance:
.. automodapi:: negmas.sao
      :members:
      :show-inheritance:
.. automodapi:: negmas.genius
      :members:
      :show-inheritance:
.. automodapi:: negmas.situated
      :members:
      :show-inheritance:
.. automodapi:: negmas.events
      :members:
      :show-inheritance:
